import 'package:scalator/src/page/application_data.dart';
import 'package:flutter/material.dart';
import '../page/page_controller_collector.dart';
import 'package:url_launcher/url_launcher.dart';

class CollectorFooter implements FooterInterface {
  Widget widget(PageControllerCollector controller) {
    final rc = ButtonBar(alignment: MainAxisAlignment.spaceBetween, children: [
      InkWell(
        child: Text('Impressum'),
        onTap: () => launch('https://public.hamatoma.de'),
      ),
      // SizedBox(
      //   width: 100,
      // ),
      InkWell(
        child: Text('Datenschutz'),
        onTap: () => launch('https://public.hamatoma.de'),
      ),
      // SizedBox(
      //   width: 150,
      // ),
      Text('Version ${controller.applicationData.version}'),
    ]);
    // final rc2 = [
    //   GridView.count(crossAxisCount: 3, children: [
    //     Text('a'),
    //     Text('b'),
    //     Text('c'),
    //   ])
    // ];
    return rc;
  }

  /// Returns a method creating a footer.
  static CollectorFooter builder() => CollectorFooter();
}
